Summary: An editor for the GConf configuration system
Name: gconf-editor
Version: 2.6.2
Release: 1mdk
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
License: GPL
Group: Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libgtk+2.0-devel >= 2.3.0
BuildRequires: libGConf2-devel
BuildRequires: perl-XML-Parser
URL: http://www.gnome.org/

%description
gconf-edit is an editor for the GConf configuration system

%prep
%setup -q

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{_bindir}/gconf-editor" icon="%{_datadir}/pixmaps/gconf-editor.png" title="GConf Editor" longtitle="Directly edit your entire configuration database" needs="gnome" section="Configuration/GNOME/Advanced" startup_notify="true"
EOF

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS NEWS
%{_bindir}/*
%{_menudir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%changelog
* Mon Jun 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- reenable libtoolize
- New release 2.6.2

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-2mdk
- Fix BuildRequires

* Fri Apr 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- new version

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)
- Remove patch0 (merged upstream)

* Mon Feb 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-2mdk
- Patch0 (CVS): a lot of bug fixes from HEAD

* Mon Sep 08 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.6-1mdk
- Release 2.3.6

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.5.0-2mdk
- Rebuild with latest ORBit2

* Wed Jun 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.5.0-1mdk
- Release 0.5.0

* Wed Dec 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.0-1mdk
- Release 0.4.0

* Thu Oct 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-1mdk
- Release 0.3.1

* Thu Aug  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-1mdk
- Release 0.3
- Add menu entry

* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-3mdk
- Fix BuildRequires

* Mon Jul  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-2mdk
- Fix rpmlint errors

* Tue Jun  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-1mdk
- Release 0.2

* Tue Apr 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-1mdk
- Initial Mandrake package (GNOME 2)


# end of file
